FreeMat

- Main Page
- Related Pages

vtkOpenGLFreeTypeTextMapper

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpenGLFreeTypeTextMapper provides 2D text annotation support for VTK using the FreeType and FTGL libraries. Normally the user should use vtktextMapper which in turn will use this class.

To create an instance of class vtkOpenGLFreeTypeTextMapper, simply invoke its constructor as follows

      obj = vtkOpenGLFreeTypeTextMapper

# Methods

The class vtkOpenGLFreeTypeTextMapper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLFreeTypeTextMapper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLFreeTypeTextMapper = obj.NewInstance ()`
- `vtkOpenGLFreeTypeTextMapper = obj.SafeDownCast (vtkObject o)`
- `obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)` - Actally draw the text.
- `obj.ReleaseGraphicsResources (vtkWindow )` - Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release.
- `obj.GetSize (vtkViewport viewport, int size[2])` - What is the size of the rectangle required to draw this mapper ?